Gda.SqlParamSpec – Gda-6.0 Reference Manual

# SqlParamSpec

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_param_spec_get_type ()" ) ]
[ Compact ]
public class SqlParamSpec
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlParamSpec (owned Value simple_spec)

### Methods:

- public SqlParamSpec copy ()
- public void free ()
- public string serialize ()
- public void take_descr (owned Value value)
- public void take_name (owned Value value)
- public void take_nullok (owned Value value)
- public void take_type (owned Value value)

### Fields:

- public void* _gda_reserved1
- public void* _gda_reserved2
- public unowned string descr
- public Type g_type
- public bool is_param
- public unowned string name
- public bool nullok
- public void* validity_meta_dict